[arch-commits] Commit in openoffice-base-devel/trunk (ChangeLog PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Oct 24 14:12:51 EDT 2008


    Date: Friday, October 24, 2008 @ 14:12:51
  Author: andyrtr
Revision: 17061

upgpkg: openoffice-base-devel 3.1_dev300_m34-1
    new snapshot and also rebuild for python

Modified:
  openoffice-base-devel/trunk/ChangeLog
  openoffice-base-devel/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   23 ++++++++++-------------
 2 files changed, 15 insertions(+), 13 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-10-24 18:12:16 UTC (rev 17060)
+++ ChangeLog	2008-10-24 18:12:51 UTC (rev 17061)
@@ -1,3 +1,8 @@
+openoffice-base-devel - 3.1_dev300_m34-1
+- new snapshot
+- fixed mozilla plugin
+- fixed menu entries to be "devel" again
+
 openoffice-base-devel - 3.1_dev300_m33-2
 - rebuild for python 2.6
 

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-24 18:12:16 UTC (rev 17060)
+++ PKGBUILD	2008-10-24 18:12:51 UTC (rev 17061)
@@ -2,11 +2,11 @@
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=openoffice-base-devel
-pkgver=3.1_dev300_m33
-pkgrel=2
+pkgver=3.1_dev300_m34
+pkgrel=1
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
 arch=('i686' 'x86_64')
-_OO_milestone=DEV300_m33
+_OO_milestone=DEV300_m34
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=openoffice.install
@@ -116,7 +116,6 @@
 	--disable-minimizer\
 	--disable-odk\
 	--disable-pdfimport\
-	--disable-qadevooo\
 	--disable-reportdesign\
 	--disable-systray\
 	--disable-mathmldtd\
@@ -172,8 +171,6 @@
 #	--disable-qadevooo\ http://www.openoffice.org/issues/show_bug.cgi?id=91452
 #	--enable-evolution2\
 
-#	--disable-fontooo\	# seems removed
-
 	cd ..
 
 	# Setup environment for build
@@ -263,11 +260,6 @@
 	chown root.root -R ${pkgdir}/
 	chmod +rX -R ${pkgdir}/usr
 
-	# link the mozilla-plugin
-	mkdir -p ${pkgdir}/usr/lib/mozilla/plugins/
-	cd ${pkgdir}/usr/lib/mozilla/plugins/
-	ln -v -s /opt/openoffice/program/libnpsoplugin.so . # should be fixed to reflect the devel path in the next release
-
 	## Develize it!
 	cd ${pkgdir}/opt/
 	mv openoffice openoffice-dev
@@ -287,14 +279,19 @@
 	
 	cd ${pkgdir}/usr/share/applications/
 	sed -i -e 's|Icon=|Icon=dev-|g' $startdir/pkg/usr/share/applications/*.desktop || return 1
-	sed -i -e 's|OpenOffice\.org\ 3\.0|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
+	sed -i -e 's|OpenOffice\.org\ 3\.1|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 	sed -i -e 's|\/opt\/openoffice\-dev\/program\/soffice|\/usr\/bin\/soffice\-dev|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 
-	mv ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin.so ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin-dev.so
 	cd ${pkgdir}/opt/openoffice-dev/program/
 	ln -sf /opt/openoffice-dev/program/soffice.bin soffice-dev.bin
 	
        # set desktop variable to force gtk/gnome vcl usage
        install -m755 -d ${pkgdir}/etc/profile.d
        install -m755 ${srcdir}/openoffice.profile ${pkgdir}/etc/profile.d/openoffice-devel.sh || return 1
+
+	# link the mozilla-plugin
+	mkdir -p ${pkgdir}/usr/lib/mozilla/plugins/
+	cd ${pkgdir}/usr/lib/mozilla/plugins/
+	ln -v -s /opt/openoffice-dev/program/libnpsoplugin.so . # should be fixed to reflect the devel path in the next release
+	mv ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin.so ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin-dev.so
 }




More information about the arch-commits mailing list